/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/** For the WELCOME GATE  **/


.typeContainer{
	text-align: center;
    position: relative;
    margin: auto;
    top:25%;
}
.enterHeader{
    opacity:0%;
    margin:0;
    font-family: "Cormorant Garamond";
    font-weight: 400;
    color: white;
    font-size: 7rem;
  /* Apply the animation */
  animation-name: reveal;
  animation-duration: 2.5s; /* Animation duration */
  animation-timing-function: cubic-bezier(0.77, 0, 0.175, 1); /* Easing function */
  animation-delay: .5s; /* Delay before the animation starts */
  animation-fill-mode: forwards; /* Keeps the element at the end state of the animation */
}


.enterSubHeader{
    opacity:0%;
    display: inline-block;
    position: relative;
    margin: auto;
    top:25%;
    font-family: "Cormorant Garamond";
    font-weight: 300;
    color: white;
    font-size: 3rem;
    
  /* Apply the animation */
  animation-name: reveal;
  animation-duration: 2s; /* Animation duration */
  animation-timing-function: cubic-bezier(0.77, 0, 0.175, 1); /* Easing function */
  animation-delay: 1s; /* Delay before the animation starts */
  animation-fill-mode: forwards; /* Keeps the element at the end state of the animation */
}

.disapear{
    transition: 1s;
    transform: translate(0,-50%);
    opacity: 0%;
}

@keyframes reveal {
  0% {
    transform: translate(0,100%);
    opacity: 0%;
  }
  100% {
    transform: translate(0,0);
    opacity:100%;
  }
}

.mouseborder{
    margin:auto;
    top:50%;
    width:20px;
    height:35px;
    position: relative;
    border: 1.5px solid grey;
    border-radius: 20px;
    transition: 1s ease-in;
    opacity:0%;
   
    z-index:9999;
}
.mouseborder:hover{
    box-shadow: 0px 0px 10px rgb(255 255 255 / 52%);
    transition: .5s ease-out;
}

.moveUp{
    transform: translateY(-30px);
    opacity: 100%;
    transition-delay: .5s;
}
.moveDown{
    transform: translateY(30px);
    opacity: 0%;
}
.figureFront {
    margin:0;
    position: fixed;
    top:0;
    left:0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: none;
    background-size: cover;
    z-index: 9998;
}

.figureCaption {
    position: absolute;
    top: 0;
  
    text-align:center;
    font-size: 10vw;
    width: 100%;
    height: 100%;
    color: white;
    text-align: center;
}
.figureImage {
    position: absolute;
    top: -50vh;
    text-align:center;
    left:0;
    right: 0;
    width: 100%;
    height:150vh;
    transition: 2s ease-in-out;
}
@media only screen and (max-width: 1871px) {
    .figureImage{
        top: -50vh;
    }


} 

@media only screen and (max-width: 1600px) {
    .figureImage{
        top: -20vh;
    }


} 

@media only screen and (max-width: 1150px) {
    .figureImage{
        top: 0vh;
    }


} 

@media only screen and (max-width: 827px) {
    .figureImage{
        
    }

    .figureImage{
        top:-25vh;
    }
    .figureFront {
        width:200vw;
        left:-50vw;

    }
    .mouseborder{
        top:30%;

    }
    .typeContainer{
        top:15%;
        width:95vw;
    }
    .enterHeader{
        font-size:4rem;
    }
    .enterSubHeader{
        font-size:2rem;
    }


} 



#imageRight { 
    clip-path: polygon(50% 0, 100% 0, 100% 100%, 50% 100%);
}
#imageLeft {
    clip-path: polygon(0 0, 50% 0, 50% 100%, 0 100%);
}
.moveLeft {
    transform: translateX(-55%);
    transition-delay: .3s;
}
.moveRight {
    
    transform: translateX(55%);
    transition-delay: .3s;
}